ltx {eha} | R Documentation

## LaTeX printing of coxreg results.

### Description

This (generic) function prints the LaTeX code of the results of a fit from `coxreg`, `phreg`, or `aftreg`, similar to what `xtable` does for fits from other functions.

### Usage

    ltx(x, caption = NULL, label = NULL, dr = NULL,
      digits = max(options()$digits - 4, 3), ...)

### Arguments

`x` | The output from a call to `coxreg`, `coxreg`, or `aftreg`
`caption` | A suitable caption for the table.
`label` | A label used in the LaTeX code.
`dr` | Output from a `drop1` call.
`digits` | Number of digits to be printed.
`...` | Not used.

### Details

The result is a printout which is (much) nicer than the standard printed output from `glm` and friends,

### Value

LaTeX code version of the results from a run with `coxreg`, `phreg`, or `aftreg`.

### Note

There is no method in `xtable` for `coxreg`.

### Author(s)

Göran Broström.

### See Also

`xtable`, `coxreg`

### Examples

    data(oldmort)
    fit <- coxreg(Surv(enter, exit, event) ~ civ + sex, data = oldmort)
    dr <- drop1(fit, test = "Chisq")
    ltx(fit, dr = dr, caption = "A test example.", label = "tab:test1")

[Package eha version 2.6.0 Index]